org.apache.olingo.commons.api.edm.provider.annotation

## Class CsdlRecord

- java.lang.Object
- - org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem
  - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression
    - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression
      - - org.apache.olingo.commons.api.edm.provider.annotation.CsdlRecord

- All Implemented Interfaces:
    CsdlAnnotatable

      public class CsdlRecord
      extends CsdlDynamicExpression
      implements CsdlAnnotatable

  The edm:Record expression enables a new entity type or complex type instance to be constructed. A record expression contains zero or more edm:PropertyValue (See `CsdlRecord` )elements.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CsdlRecord()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `List<CsdlAnnotation>` | `getAnnotations()` Returns a list of annotations
    `List<CsdlPropertyValue>` | `getPropertyValues()` List of edm:PropertyValues (See `CsdlPropertyValue`
    `String` | `getType()` Returns the entity type or complex type to be constructed.
    `int` | `hashCode()`
    `CsdlRecord` | `setAnnotations(List<CsdlAnnotation> annotations)`
    `CsdlRecord` | `setPropertyValues(List<CsdlPropertyValue> propertyValues)`
    `CsdlRecord` | `setType(String type)`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlDynamicExpression

      `asAnnotationPath, asApply, asCast, asCollection, asIf, asIsOf, asLabeledElement, asLabeledElementReference, asLogicalOrComparison, asNavigationPropertyPath, asNull, asPath, asPropertyPath, asRecord, asUrlRef, isAnnotationPath, isApply, isCast, isCollection, isIf, isIsOf, isLabeledElement, isLabeledElementReference, isLogicalOrComparison, isNavigationPropertyPath, isNull, isPath, isPropertyPath, isRecord, isUrlRef`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.annotation.CsdlExpression

      `asConstant, asDynamic, isConstant, isDynamic`

    - ### Methods inherited from class org.apache.olingo.commons.api.edm.provider.CsdlAbstractEdmItem

      `getAllByName, getOneByName`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CsdlRecord

          public CsdlRecord()

  - ### Method Detail

    - #### getAnnotations

          public List<CsdlAnnotation> getAnnotations()

      Description copied from interface: `CsdlAnnotatable`
      Returns a list of annotations
      Specified by:
        `getAnnotations` in interface `CsdlAnnotatable`
      Returns:
        list of annotations

    - #### setAnnotations

          public CsdlRecord setAnnotations(List<CsdlAnnotation> annotations)

    - #### getType

          public String getType()

      Returns the entity type or complex type to be constructed.
      Returns:
        Entity type or complex type

    - #### setType

          public CsdlRecord setType(String type)

    - #### getPropertyValues

          public List<CsdlPropertyValue> getPropertyValues()

      List of edm:PropertyValues (See `CsdlPropertyValue`
      Returns:
        List of edm:PropertyValues (See

    - #### setPropertyValues

          public CsdlRecord setPropertyValues(List<CsdlPropertyValue> propertyValues)

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2013–2022 The Apache Software Foundation. All rights reserved.